| OpenMS 2.5.0

ExternalCalibration

Performs an mass recalibration on an MS experiment using an external calibration function.

pot. predecessor tools | ExternalCalibration | pot. successor tools
PeakPickerWavelet | any tool operating on MS peak data (in mzML format)
FeatureFinderCentroided

Recalibrates an MS experiment globally using a constant, linear or quadratic calibration on the observed ppm error, i.e. using offset=-5, slope=0, power=0 assumes the observed data has -5 ppm decalibration, i.e. the observed m/z is too small and should be increased by 5 ppm! Slope and power are coefficients for the observed m/z, i.e. y = offset + x * slope + x * x * power, where x is the observed m/z and y is the resulting mass correction in ppm. Usually slope and offset are very small (< 0.01). If you only want a 'rough' recalibration, using offset is usually sufficient.

The calibration function is applied to all scans (with the desired level, see below), i.e. time dependent recalibration cannot be modeled.

The user can select what MS levels are subjected to calibration. Spectra with other MS levels remain unchanged. Calibration must be done once for each mass analyzer.

Either raw or centroided data can be used as input. The command line parameters of this tool are:

    ExternalCalibration -- Applies an external mass recalibration.

    Full documentation: http://www.openms.de/documentation/TOPP_ExternalCalibration.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      ExternalCalibration <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input peak file (valid formats: 'mzML')

      -out <file>*       Output file  (valid formats: 'mzML')

      -offset            Mass offset in ppm (default: '0.0')

      -slope             Slope (dependent on m/z) (default: '0.0')

      -power             Power (dependent on m/z) (default: '0.0')

      -ms_level i j ...  Target MS levels to apply the transformation onto. Scans with other levels remain unchan

                         ged. (default: '[1 2 3]')

    Common TOPP options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+ExternalCalibration Applies an external mass recalibration.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'ExternalCalibration'
in Input peak file input file*.mzML
out Output file output file*.mzML
offset 0.0 Mass offset in ppm
slope 0.0 Slope (dependent on m/z)
power 0.0 Power (dependent on m/z)
ms_level[1, 2, 3] Target MS levels to apply the transformation onto. Scans with other levels remain unchanged.
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false